@echo off

cd src

REM Assemble ASM files...
wasm -3pr -mf hardware\amouse.asm -foamouse.obj
wasm -3pr -mf hardware\avideo.asm -foavideo.obj
wasm -3pr -mf hardware\apitint.asm -foapitint.obj
wasm -3pr -mf audio\amixer.asm -foamixer.obj
wasm -3pr -mf audio\aaudio.asm -foaaudio.obj
wasm -3pr -mf audio\apaula.asm -foapaula.obj
wasm -3pr -mf audio\areplay.asm -foareplay.obj
wasm -3pr -mf audio\drivers\asb.asm -foasb.obj
wasm -3pr -mf gfx\agfx.asm -foagfx.obj
wasm -3pr -mf gfx\afont.asm -foafont.obj
wasm -3pr -mf apattern.asm -foapattern.obj
wasm -3pr -mf aui.asm -foaui.obj
wasm -3pr -mf ascopes.asm -foascopes.obj
wasm -3pr -mf aasm.asm -foaasm.obj

REM Compile C files...
wcc386 -ecc -zq -fpc hardware\irq.c
wcc386 -ecc -zq -fpc hardware\keyb.c
wcc386 -ecc -zq -fpc hardware\mouse.c
wcc386 -ecc -zq -fpc hardware\video.c
wcc386 -ecc -zq -fpc hardware\dma.c
wcc386 -ecc -zq -fpc hardware\pit.c
wcc386 -ecc -zq -fpc audio\replayer.c
wcc386 -ecc -zq -fpc audio\paula.c
wcc386 -ecc -zq -fpc audio\audio.c
wcc386 -ecc -zq -fpc audio\drivers\sb.c
wcc386 -ecc -zq -fpc gfx\drawcode.c
wcc386 -ecc -zq -fpc dir.c
wcc386 -ecc -zq -fpc diskop.c
wcc386 -ecc -zq -fpc ui.c
wcc386 -ecc -zq -fpc pattern.c
wcc386 -ecc -zq -fpc sampler.c
wcc386 -ecc -zq -fpc main.c

REM Link...
REM wlink file { *.obj } name ..\pt4dos.exe
wlink system dos32a file { *.obj } name ..\pt4dos.exe
REM wlink system dos32a file { *.obj } name ..\pt4dos.exe option map
del *.obj >nul
del *.err >nul
cd ..

REM Compress...
REM sc pt4dos.exe

REM Change DOS32/A settings...
ss pt4dos.exe config.d32
