; playback modes
PLAY_MODE_IDLE		EQU 0
PLAY_MODE_SONG		EQU 1
PLAY_MODE_PATTERN	EQU 2
PLAY_MODE_EDIT		EQU 3
PLAY_MODE_RECORD	EQU 4

; module struct offsets
m_usevblanktempo	EQU 0
m_numpatts		EQU 1
m_length		EQU 2
m_row			EQU 3
m_order			EQU 4
m_pattern		EQU 5
m_tick			EQU 6
m_speed			EQU 7
m_bpm			EQU 8
m_editpattern		EQU 9
m_orderlist		EQU 10

; sample struct offsets
s_data			EQU 0
s_length		EQU 4
s_repeat		EQU 6
s_replen		EQU 8
s_finetune		EQU 10
s_volume		EQU 11
s_name			EQU 12 ; 22+1
s_sizeof		EQU 36

; channel struct offsets
n_note			EQU 0
n_rawsamplenum		EQU 1
n_cmd			EQU 2
n_param			EQU 3
n_start			EQU 4
n_wavestart		EQU 8
n_loopstart		EQU 12
n_length		EQU 16
n_replen		EQU 18
n_period		EQU 20
n_wantedperiod		EQU 22
n_chanindex		EQU 24
n_volume		EQU 28
n_toneportdirec		EQU 29
n_pattpos		EQU 30
n_loopcount		EQU 31
n_wavecontrol		EQU 32
n_glissfunk		EQU 33
n_sampleoffset		EQU 34
n_toneportspeed		EQU 35
n_vibratocmd		EQU 36
n_tremolocmd		EQU 37
n_finetune		EQU 38
n_funkoffset		EQU 39
n_vibratopos		EQU 40
n_tremolopos		EQU 41
n_dmabit		EQU 42
n_samplenum		EQU 44

n_sizeof		EQU 48

	; replayer.c
	EXTERN _sampleOffsets:DWORD
	EXTERN _moduleOffset:DWORD
	EXTERN _channelOffset:DWORD
	EXTERN _patternDataOffset:DWORD
	EXTERN _Replayer_PlaybackSeconds:DWORD
	EXTERN _Replayer_PlaybackSecondsFrac:DWORD
	EXTERN _Replayer_ModuleLoaded:BYTE
	EXTERN _Replayer_SongPlaying:BYTE
	EXTERN _Replayer_PlayMode:BYTE
