.386p
.MODEL FLAT

	; Sound Blaster interrupt routines (in asm for minimal overhead)

	PIC1MODE	EQU 020h
	PIC2MODE	EQU 0A0h
	PICEOI		EQU 020h
	
	PUBLIC _sbDmaAckPort:WORD
	PUBLIC _sbLoIrqInterrupt
	PUBLIC _sbHiIrqInterrupt
	
.CODE

	; IRQ < 8
	ALIGN 4
_sbLoIrqInterrupt PROC FAR
	push eax
	push edx
	; -------------------
	mov dx,cs:_sbDmaAckPort	; acknowledge audio DMA
	in al,dx
	; -------------------
	mov al,PICEOI
	out PIC1MODE,al		; send EOI to PIC #1
	; -------------------
	pop edx
	pop eax
	iretd
_sbLoIrqInterrupt ENDP

	; IRQ >= 8
	ALIGN 4
_sbHiIrqInterrupt PROC FAR
	push eax
	push edx
	; -------------------
	mov dx,cs:_sbDmaAckPort	; acknowledge audio DMA
	in al,dx
	; -------------------
	mov al,PICEOI
	out PIC2MODE,al		; send EOI to PIC #2
	out PIC1MODE,al		; send EOI to PIC #1
	; -------------------
	pop edx
	pop eax
	iretd
_sbHiIrqInterrupt ENDP

	ALIGN 2
_sbDmaAckPort:	dw 0

END
