#ifndef __SB_H__
#define __SB_H__

#include <stdint.h>
#include <stdbool.h>

enum
{
	SBUnknown = 0,
	SB1 = 1,
	SB2 = 2,
	SBPro = 3,
	SB16 = 4
};

enum
{
	SB_ERROR_NONE,
	SB_ERROR_NO_ENV_VAR,
	SB_ERROR_INVALID_ENV_VAR,
	SB_ERROR_NO_CARD_DETECTED,
	SB_ERROR_UNSUPPORTED_CARD
};

bool SB_Detect(void);
bool SB_Init(void);
bool SB_StartDMA(void);
void SB_Close(void);
uint8_t SB_GetModel(void);
uint8_t SB_GetError(void);

#endif
